diff -ur CadReader.orig/src/Makefile CadReader/src/Makefile
--- CadReader.orig/src/Makefile	2022-08-02 13:20:56.000000000 -0500
+++ CadReader/src/Makefile	2022-08-02 13:43:29.000000000 -0500
@@ -9,17 +9,16 @@
 #Example makefile: (Source: https://www.cs.swarthmore.edu/~newhall/unixhelp/howto_makefiles.html)
 
 #Define path to Open Cascade library
-OCCT = /usr/local/opencascade-7.1.0/bin/lin64/gcc/lib
+OCCT = @PREFIX@/lib
 #Define path to Open Cascade headers
-OCCINC = /usr/local/opencascade-7.1.0/inc
+OCCINC = @PREFIX@/include/opencascade
 #Define path to CadReader
-PROGPATH = /usr/local/cgxCadTools/CadReader
+PROGPATH = ../../CadReader
 
-# define the C compiler to use
-CC = gcc 
 
 # define any compile-time flags 
-CFLAGS = -Wall -std=c++11
+CXXFLAGS += -Wall -std=c++11
+LDFLAGS +=
 
 # define directories containing header files: The OpenCASCADE Libraries are in the inc direcory of OpenCASCADE
 INCLUDES = -I$(PROGPATH)/inc -I$(OCCINC)
@@ -30,11 +29,11 @@
 
 # define any libraries to link into executable: The OpenCASCADE Libraries are in the lib direcory of OpenCASCADE
 LIBS =  -L$(OCCT) \
- -L/usr/local/opencascade-7.1.0/bin/lin64/gcc/lib -lTKBinL -lTKBin -lTKBinTObj -lTKBinXCAF -lTKBool -lTKBO -lTKBRep -lTKCAF \
+ -lTKBinL -lTKBin -lTKBinTObj -lTKBinXCAF -lTKBool -lTKBO -lTKBRep -lTKCAF \
 -lTKCDF -lTKDCAF -lTKDraw -lTKernel -lTKFeat -lTKFillet -lTKG2d -lTKG3d -lTKGeomAlgo -lTKGeomBase -lTKHLR -lTKIGES -lTKLCAF -lTKMath  -lTKMesh \
 -lTKMeshVS -lTKOffset -lTKOpenGl -lTKPrim -lTKQADraw -lTKService -lTKShHealing -lTKStdL -lTKStd -lTKSTEP209 -lTKSTEPAttr -lTKSTEPBase -lTKSTEP \
 -lTKSTL  -lTKTObjDRAW -lTKTObj -lTKTopAlgo -lTKTopTest -lTKV3d -lTKVCAF -lTKViewerTest -lTKVRML -lTKXCAF -lTKXDEDRAW -lTKXDEIGES -lTKXDESTEP \
--lTKXMesh -lTKXmlL -lTKXml -lTKXmlTObj -lTKXmlXCAF -lTKXSBase -lTKXSDRAW -lstdc++ -lm
+-lTKXMesh -lTKXmlL -lTKXml -lTKXmlTObj -lTKXmlXCAF -lTKXSBase -lTKXSDRAW -lm
 
 # define the C++ source files
 SRCS = \
@@ -71,14 +70,14 @@
 	@echo  cad2fbd has been compiled successfully
 
 $(MAIN): $(OBJS) 
-	$(CC) $(CFLAGS) $(INCLUDES) -o $(MAIN) $(OBJS) $(LFLAGS) $(LIBS)
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDES) -o $(MAIN) $(OBJS) $(LFLAGS) $(LIBS)
 
 # this is a suffix replacement rule for building .o's from .c'sma
 # it uses automatic variables $<: the name of the prerequisite of
 # the rule(a .c file) and $@: the name of the target of the rule (a .o file) 
 # (see the gnu make manual section about automatic variables)
 %.o: %.cpp
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ -c  $<
+	$(CXX) $(CXXFLAGS) $(INCLUDES) -o $@ -c  $<
 	@echo convert done
 clean:
 	$(RM) *.o *~ $(MAIN)
